Skip to main content
GET
/
api
/
v2
/
network
/
commission-plan
/
index
List commission plans
curl --request GET \
  --url https://{domain}/api/v2/network/commission-plan/index \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://{domain}/api/v2/network/commission-plan/index"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://{domain}/api/v2/network/commission-plan/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": [
    {
      "id": 123,
      "title": "<string>",
      "status": {
        "id": 123,
        "name": "<string>"
      },
      "brand": {
        "id": 123,
        "name": "<string>"
      },
      "currency": "<string>",
      "geo": {
        "allowed": [
          {}
        ],
        "denied": [
          {}
        ]
      },
      "traffic_source": [
        {
          "id": 123,
          "title": "<string>"
        }
      ],
      "traffic_approaches": [
        {
          "id": 123,
          "title": "<string>"
        }
      ],
      "cpa": "<string>",
      "rev_share": {
        "enabled": true,
        "type": {
          "id": 123,
          "name": "<string>"
        },
        "based_on": {
          "id": 123,
          "name": "<string>"
        },
        "negative_carryover": {
          "id": 123,
          "name": "<string>"
        },
        "commission": {
          "commission": 123
        },
        "qualifications": [
          {}
        ],
        "hold_period": 123,
        "high_roller_policy_enabled": true,
        "high_roller_policy_metric_type": "<string>",
        "high_roller_policy_winbin_threshold": "<string>",
        "cap_config": {
          "enabled": true,
          "timeframe": "<string>",
          "limit": "<string>",
          "action": "<string>",
          "fallback": {
            "based_on": "<string>",
            "percent": "<string>",
            "negative_carryover": "<string>"
          }
        },
        "custom_fee_config": {
          "enabled": true,
          "products": [
            {
              "fee": 123,
              "products": [
                123
              ]
            }
          ]
        }
      },
      "cpl": "<string>",
      "cpc": "<string>",
      "flat_fee": "<string>",
      "lot_based_fee": "<string>",
      "assigned_to": [
        {}
      ],
      "is_default": true,
      "is_exclusive": true,
      "internal_notes": "<string>",
      "assign_to_landing_page": 123,
      "landing_pages": [
        {}
      ]
    }
  ]
}
{
"message": "Request could not be parsed.",
"success": false,
"info": {
"errors": {}
}
}
{
"message": "API key is invalid or missing.",
"success": false
}
{
"message": "This endpoint is not available for your role.",
"success": false
}
{
"message": "Resource not found.",
"success": false
}
{
"message": "An unexpected error occurred.",
"success": false,
"info": {
"errors": {}
}
}

Authorizations

X-API-Key
string
header
required

Preferred authentication method. Pass the API key in the X-API-Key HTTP request header. The user account must have api_status enabled.

Query Parameters

page
integer

Page number.

perPage
integer

Items per page.

sortField
string

Sort field.

sortDirection
enum<string>

Sort direction.

Available options:
asc,
desc

Search by title.

status
string

Filter by status.

type
string

Filter by commission type (comma-separated, e.g. CPA, RevShare).

affiliates
string

Filter by affiliate IDs (comma-separated).

offers
string

Filter by offer IDs (comma-separated).

country
string

Filter by country IDs (comma-separated).

traffic_source_ids
string

Filter by traffic source IDs (comma-separated).

traffic_approach_ids
string

Filter by traffic approach IDs (comma-separated).

marketplace
string

Presence-only flag. When this query parameter is present, Marketplace commission plans are included in the response. Its value is not interpreted by the backend.

Response

Commission plans list.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object[]